Bug 246035 - net-mgmt/icingaweb2: conflict with ImageMagick 7 when PDF is selected
Summary: net-mgmt/icingaweb2: conflict with ImageMagick 7 when PDF is selected
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Lars Engels
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-04-29 22:10 UTC by Trond.Endrestol
Modified: 2021-02-24 15:36 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (lme)


Attachments
Patch for net-mgmt/icingaweb2/Makefile enabling the user to choose between ImageMagick 6 or 7 (979 bytes, patch)
2020-04-29 22:12 UTC, Trond.Endrestol
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Trond.Endrestol 2020-04-29 22:10:04 UTC
editors/emacs@full recently switched to ImageMagick 7. net-mgmt/icingaweb2 indirectly depends on ImageMagick 6 when the PDF option is selected. The attached patch lets the user decide which version of ImageMagick net-mgmt/icingaweb2 is to depend on.
Comment 1 Trond.Endrestol 2020-04-29 22:12:05 UTC
Created attachment 213923 [details]
Patch for net-mgmt/icingaweb2/Makefile enabling the user to choose between ImageMagick 6 or 7
Comment 2 Automation User 2020-07-01 01:07:30 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/161803790
Comment 3 Trond.Endrestol 2021-02-24 15:36:14 UTC
We can now specify in make.conf which ImageMagick is desireable. I close this PR based on this new information.